curl --request PUT 'https://api.upnify.com/v4/comm/plantillas/00000000-0000-4000-8000-000000000010' \
--header 'token: 00000000-0000-4000-8000-000000000001' \
--header 'Content-Type: application/json' \
--data-raw '{"compartir":1,"asunto":"Asunto de ejemplo","cuerpo":"Texto de ejemplo para la comunicación.","descripcion":"valor-descripcion","tipo":1,"adjuntos":"archivo-ejemplo.pdf","peso":"valor-peso"}'const response = await fetch('https://api.upnify.com/v4/comm/plantillas/00000000-0000-4000-8000-000000000010', { method: 'PUT', headers: { token: '00000000-0000-4000-8000-000000000001', 'Content-Type': 'application/json' }, body: JSON.stringify({"compartir":1,"asunto":"Asunto de ejemplo","cuerpo":"Texto de ejemplo para la comunicación.","descripcion":"valor-descripcion","tipo":1,"adjuntos":"archivo-ejemplo.pdf","peso":"valor-peso"}) });
console.log(await response.json());const response = await fetch('https://api.upnify.com/v4/comm/plantillas/00000000-0000-4000-8000-000000000010', { method: 'PUT', headers: { token: '00000000-0000-4000-8000-000000000001', 'Content-Type': 'application/json' }, body: JSON.stringify({"compartir":1,"asunto":"Asunto de ejemplo","cuerpo":"Texto de ejemplo para la comunicación.","descripcion":"valor-descripcion","tipo":1,"adjuntos":"archivo-ejemplo.pdf","peso":"valor-peso"}) });
console.log(await response.json());import requests
response = requests.put('https://api.upnify.com/v4/comm/plantillas/00000000-0000-4000-8000-000000000010', headers={'token':'00000000-0000-4000-8000-000000000001','Content-Type':'application/json'}, json={"compartir":1,"asunto":"Asunto de ejemplo","cuerpo":"Texto de ejemplo para la comunicación.","descripcion":"valor-descripcion","tipo":1,"adjuntos":"archivo-ejemplo.pdf","peso":"valor-peso"})
print(response.json())package main
import ("bytes"; "fmt"; "io"; "net/http")
func main() {
req, _ := http.NewRequest("PUT", "https://api.upnify.com/v4/comm/plantillas/00000000-0000-4000-8000-000000000010", bytes.NewBufferString("{\n \"compartir\": 1,\n \"asunto\": \"Asunto de ejemplo\",\n \"cuerpo\": \"Texto de ejemplo para la comunicación.\",\n \"descripcion\": \"valor-descripcion\",\n \"tipo\": 1,\n \"adjuntos\": \"archivo-ejemplo.pdf\",\n \"peso\": \"valor-peso\"\n}"))
req.Header.Set("token", "00000000-0000-4000-8000-000000000001")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}using System.Net.Http;
using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("token", "00000000-0000-4000-8000-000000000001");
using var content = new StringContent("{\n \"compartir\": 1,\n \"asunto\": \"Asunto de ejemplo\",\n \"cuerpo\": \"Texto de ejemplo para la comunicación.\",\n \"descripcion\": \"valor-descripcion\",\n \"tipo\": 1,\n \"adjuntos\": \"archivo-ejemplo.pdf\",\n \"peso\": \"valor-peso\"\n}", Encoding.UTF8, "application/json");
var response = await client.PutAsync("https://api.upnify.com/v4/comm/plantillas/00000000-0000-4000-8000-000000000010", content);
Console.WriteLine(await response.Content.ReadAsStringAsync());